package com.oo.eye.net;

import com.oo.eye.bean.StudentBean;
import com.oo.seex.netlibrary.net.response.OldResponseImpl;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.POST;
import rx.Observable;

/**
 * Created by xucon on 2017/12/26.
 */

public interface EyeApiService {

	/**
	 * 上传视力测试结果
	 */
	@FormUrlEncoded
	@POST(NetConfig.ADD_EYE)
	Observable<OldResponseImpl<String>> postEyeTestData(@FieldMap Map<String ,String> params);
//	/**
//	 * 获取视力测试历史结果
//	 */
//	@POST(NetConfig.GET_STUDENT_TEST_HISTORY)
//	Observable<OldResponseImpl<ArrayList<EyeHistroyBean>>> getEyeTestData(@FieldMap Map<String ,String> params);
	/**
	 * 获取学生信息
	 */
	@POST(NetConfig.CLASS_STUDENT)
	Observable<OldResponseImpl<List<StudentBean>>> getEyeInit(@FieldMap Map<String ,String> params);
}
